#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Digest-SHA1
Version		:	2.13
Release		:	14.4.0.0%{?dist}
Summary		:	Digest-SHA1 Perl module
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	http://search.cpan.org/dist/Digest-SHA1

Source0		:	%{sname}-%{version}.tar.gz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


#-----------------------------------------------------------------------------
%description
The Digest::SHA1 module allows you to use the NIST SHA-1 message
digest algorithm from within Perl programs. The algorithm takes as
input a message of arbitrary length and produces as output a 160-bit
"fingerprint" or "message digest" of the input.

The Digest::SHA1 module provide a procedural interface for simple use,
as well as an object oriented interface that can handle messages of
arbitrary length and which can read files directly.

A binary digest will be 20 bytes long. A hex digest will be 40
characters long. A base64 digest will be 27 characters long.

%prep
%setup -q -n %{sname}-%{version}

#---------------------------------------------------------
#building application
%build
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

%{__perl}							\
	Makefile.PL					\
	INSTALLDIRS=perl				\

%{__make}						\
	%{_smp_mflags}					\

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	PERL_INSTALL_ROOT=%{buildroot}			\
	pure_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%files			
%defattr(-, root,root, -)

%doc README
%{_libdir}/perl5/%{perlvers}/core_perl/Digest/*.pm
%{_libdir}/perl5/%{perlvers}/core_perl/auto/Digest/SHA1/*.so
%{_mandir}/man3/*.3.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
